diff --git a/app/functions/fn.cart.php b/app/functions/fn.cart.php
index 79ec8fa47ee..f816dc327dd 100644
--- a/app/functions/fn.cart.php
+++ b/app/functions/fn.cart.php
@@ -1951,6 +1951,7 @@ function fn_save_cart_content(&$cart, $user_id, $type = 'C', $user_type = 'R')
 
                     $product['email'] = (!empty($cart['user_data']['email'])) ? $cart['user_data']['email'] : '';
                     $product['user_data'] = !empty($cart['user_data']) ? $cart['user_data'] : [];
+                    unset($product['user_data']['password']);
 
                     $product['group_id'] = isset($product_groups_map[$cart_id]) ? $product_groups_map[$cart_id] : null;
                     $product['chosen_shipping'] = $product['group_id'] && !empty($cart['chosen_shipping'][$product['group_id']])
@@ -2523,6 +2524,12 @@ function fn_get_order_info($order_id, $native_language = false, $format_info = t
             // Get product groups
             if (!empty($additional_data[OrderDataTypes::GROUPS])) {
                 $order['product_groups'] = unserialize($additional_data[OrderDataTypes::GROUPS]);
+                foreach ($order['product_groups'] as &$product_group) {
+                    foreach ($product_group['products'] as &$product) {
+                        unset($product['user_data']['password']);
+                    }
+                }
+                unset($product_group, $product);
             }
 
             $order['doc_ids'] = db_get_hash_single_array("SELECT type, doc_id FROM ?:order_docs WHERE order_id = ?i", array('type', 'doc_id'), $order_id);
